package org.dive4elements.river.client.client.services;

import com.google.gwt.user.client.rpc.AsyncCallback;

import org.dive4elements.river.client.shared.model.Collection;


/**
 * This interface describes the service for creating new collections.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface CreateCollectionServiceAsync {

    void create(
        String locale,
        String owner,
        AsyncCallback<Collection> callback);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
